org.apache.hadoop.yarn.api.protocolrecords.impl.pb

## Class UpdateApplicationTimeoutsRequestPBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.UpdateApplicationTimeoutsRequest
  - - org.apache.hadoop.yarn.api.protocolrecords.impl.pb.UpdateApplicationTimeoutsRequestPBImpl

-     @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public class UpdateApplicationTimeoutsRequestPBImpl
      extends org.apache.hadoop.yarn.api.protocolrecords.UpdateApplicationTimeoutsRequest

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateApplicationTimeoutsRequestPBImpl()`
    `UpdateApplicationTimeoutsRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.UpdateApplicationTimeoutsRequestProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `org.apache.hadoop.yarn.api.records.ApplicationId` | `getApplicationId()`
    `Map<org.apache.hadoop.yarn.api.records.ApplicationTimeoutType,String>` | `getApplicationTimeouts()`
    `org.apache.hadoop.yarn.proto.YarnServiceProtos.UpdateApplicationTimeoutsRequestProto` | `getProto()`
    `int` | `hashCode()`
    `void` | `setApplicationId(org.apache.hadoop.yarn.api.records.ApplicationId applicationId)`
    `void` | `setApplicationTimeouts(Map<org.apache.hadoop.yarn.api.records.ApplicationTimeoutType,String> appTimeouts)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.hadoop.yarn.api.protocolrecords.UpdateApplicationTimeoutsRequest

      `newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdateApplicationTimeoutsRequestPBImpl

          public UpdateApplicationTimeoutsRequestPBImpl()

    - #### UpdateApplicationTimeoutsRequestPBImpl

          public UpdateApplicationTimeoutsRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.UpdateApplicationTimeoutsRequestProto proto)

  - ### Method Detail

    - #### getProto

          public org.apache.hadoop.yarn.proto.YarnServiceProtos.UpdateApplicationTimeoutsRequestProto getProto()

    - #### getApplicationId

          public org.apache.hadoop.yarn.api.records.ApplicationId getApplicationId()

      Specified by:
        `getApplicationId` in class `org.apache.hadoop.yarn.api.protocolrecords.UpdateApplicationTimeoutsRequest`

    - #### setApplicationId

          public void setApplicationId(org.apache.hadoop.yarn.api.records.ApplicationId applicationId)

      Specified by:
        `setApplicationId` in class `org.apache.hadoop.yarn.api.protocolrecords.UpdateApplicationTimeoutsRequest`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getApplicationTimeouts

          public Map<org.apache.hadoop.yarn.api.records.ApplicationTimeoutType,String> getApplicationTimeouts()

      Specified by:
        `getApplicationTimeouts` in class `org.apache.hadoop.yarn.api.protocolrecords.UpdateApplicationTimeoutsRequest`

    - #### setApplicationTimeouts

          public void setApplicationTimeouts(Map<org.apache.hadoop.yarn.api.records.ApplicationTimeoutType,String> appTimeouts)

      Specified by:
        `setApplicationTimeouts` in class `org.apache.hadoop.yarn.api.protocolrecords.UpdateApplicationTimeoutsRequest`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.